import os

from setuptools import setup


def get_packages(package):
    """
    Return root package and all sub-packages.
    """
    return [dirpath
            for dirpath, dirnames, filenames in os.walk(package)
            if os.path.exists(os.path.join(dirpath, '__init__.py'))]


package = 'drf_uuid_auth'

setup(
    name=package,
    version='0.0.1',
    packages=get_packages(package),
    url='https://gitlab.connectone.pro/jar3b/drf-uuid-auth',
    license='MIT',
    author='jar3b',
    author_email='',
    description=''
)
